Bug 203339 - Change of behaviour breaks psset
Change of behaviour breaks psset
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: a2ps (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-21 08:30 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0261
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 19:25:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-08-21 08:30:15 EDT
psset will generate broken PS output when used on RHEL4.

1. Run
ls | a2ps -o - | psset -t > test.ps
2. Notice the broken ps on RHEL4 (where it works on RHEL3)

The bug (control characters where there should be text) is due to a change in
sed's behaviour.

RHEL3, sed-4.0.7-3:
$ echo ''|sed -e ' i\\co' | hexdump -C
00000000  5c 63 6f 0a 0a                                    |\co..|
00000005

RHEL4, sed-4.1.2-4:
$ echo ''|sed -e ' i\\co' | hexdump -C
00000000  0f 0a 0a                                          |...|
00000003

RHEL4, with RHEL3's sed:
$ echo ''|./sed -e ' i\\co' | hexdump -C
00000000  5c 63 6f 0a 0a                                    |\co..|
00000005
Comment 1 Jay Turner 2006-08-21 22:32:54 EDT
QE ack for 4.5.
Comment 2 Petr Machata 2006-08-22 13:36:06 EDT
Hmm... yes, there indeed is a change in behavior.  However it seems to me that
the new version is correct in handling backslashes, and that the right way to
write the sequence '\co' is with 'i\\\co'.  First '\' is the delimiter (which
can be missing, but if it's here, it has to be the delimiter), following '\\' is
escaped backslash, and then 'co'.  In contrast, 'i\\co' interprets \c as escape
and turns 'o' into control character.
If you retarget this bug against EL3, I will adjust the behavior of sed there.
Comment 5 RHEL Product and Program Management 2006-08-23 17:38:06 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 RHEL Product and Program Management 2006-08-23 17:38:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 14 Red Hat Bugzilla 2007-05-01 19:25:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0261.html

Note You need to log in before you can comment on or make changes to this bug.